Page MenuHomePhabricator

Enable Kartographer extension's to be determined features on eu.wikipedia
Closed, ResolvedPublic

Description

eu.wikipedia would like to use more Kartographer.

https://eu.wikipedia.org/w/index.php?title=Wikipedia:Txokoa&oldid=5905785#Kartographer_eta_Sandbox-link_luzapenak_instalatzea

Task split from T166553:

Hi @Theklan - I've added a comment to the discussion that you linked to above. Maplink is currently already enabled on euwiki (and all other Wikipedias) and maps can be added to any articles. The more interactive / embedded map (mapframe) is not yet enabled on most Wikipedias - is that what this request is really for?

Hello @debt. Yes, as I answered there mapframe is the main idea we want to implement. About maplink... is there any actual use? Most Wikipedias are using wikiminiatlas and geohack, as far as I can see.

Adding to interactive sprint to keep an eye on the WMEU community's implementation of mapframe on euwiki.

Is this implementation of mapframe on the way or just stopped somewhere?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 11 2017, 11:04 PM
debt added a comment.Jun 14 2017, 2:17 PM

Hi,

The Foundation Audiences and Technology Management sent a communication (also on wiki) yesterday regarding the Discovery team's projects and goals, in response to an earlier message about the re-organization of Product and Technology. There was a question regarding maps and this question and response is applicable to your ticket. I've quoted it here:

One question: Does "As needed, assist with individual language Wikipedia’s implementation of mapframe" mean just help support the implementation on the wikis where mapframe is already deployed, or does it mean potentially deploying mapframe to additional wikis?

​We don't have the technical resources to deploy mapframe to any additional wikis at this time. If a wiki wants to deploy mapframe on their site, they can do it on their own—similar to what Swedish Wikipedia accomplished.[1]

If severe bugs occur, we'll try our best to get them fixed; such as maps aren't rendering from the tile servers. We just don't have the technical resources to do any minor bug fixes, feature requests or any new deployments right now.

[1] https://phabricator.wikimedia.org/T161032

I'm an admin on eu:wiki but I don't know how to start doing this. It's quite important for us, as we are doing great advance in completely automated buildings templates. Can someone help me to do what Swedish Wikipedia did?

debt added a comment.Jun 26 2017, 10:13 PM

Hi @Dereckson - would you be able to help?

Change 368172 had a related patch set uploaded (by Gehel; owner: Guillaume Lederrey):
[operations/mediawiki-config@master] enable mapframe for euwiki, ptwiki and uawikimedia

https://gerrit.wikimedia.org/r/368172

Change 368172 merged by jenkins-bot:
[operations/mediawiki-config@master] enable mapframe for euwiki, ptwiki and uawikimedia

https://gerrit.wikimedia.org/r/368172

debt triaged this task as Normal priority.Aug 1 2017, 10:50 PM
debt moved this task from Backlog to Done on the Maps-Sprint board.

This was pushed to production on Aug 1, 2017: mapframe is now enabled on euwiki.

debt closed this task as Resolved.Aug 2 2017, 12:37 PM
debt claimed this task.